# comment out if not a git snapshot
#define git		git20190309

%define uname		r2cutter

# Translation files are in a separate project
# https://github.com/radareorg/cutter-translations
%define tr_commit	ec8c9310df63f665f41e14320a1cdee9a7454eb8

%define rel 1

Name:		radare2-cutter
Epoch:		1
Version:	0.1.1
Release:	%mkrel %{?git:0.%git.}%{rel}
Summary:	A Qt and C++ GUI for radare2 reverse engineering framework
License:	GPLv3+
Group:		Development/Tools
Url:		http://www.radare.org/
Source0:	https://github.com/radareorg/cutter/archive/v%{version}/%{uname}-%{version}%{?git:-%git}.tar.gz
Source1:	https://github.com/radareorg/cutter-translations/archive/%{tr_commit}.tar.gz
Patch0:		cutter-1.7.3-mga-install.patch

BuildRequires:	pkgconfig(capstone)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(r_core)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

Requires:	radare2
Provides:	%{uname} = %epoch:%{version}-%{release}
Provides:       cutter = %epoch:%{version}-%{release}

%description
A Qt and C++ GUI for radare2 reverse engineering framework
(originally named Iaito).

Cutter is not aimed at existing radare2 users. It instead focuses
on those whose are not yet radare2 users because of the learning
curve, because they don't like CLI applications or because of the
difficulty/instability of radare2.

%prep
%setup -q -n %{uname}-%{version}%{?git:-%git} -a1
%autopatch -p1

# Prepare translation files
mv cutter-translations-%{tr_commit}/* src/translations/

%build
pushd src
%{_qt5_bindir}/lrelease translations/*.ts
%qmake_qt5 \
	PREFIX=%{_prefix} \
	CONFIG+=CUTTER_ENABLE_QTWEBENGINE \
	Cutter.pro

%make_build
popd

%install
%make_install -C src INSTALL_ROOT=%{buildroot}

%files
%doc CONTRIBUTING.md README.md docs/*
%license COPYING
%{_bindir}/r2cutter
%{_datadir}/applications/org.radare.r2cutter.desktop
%{_datadir}/metainfo/org.radare.r2cutter.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/r2cutter.svg



%changelog
* Wed Mar 24 2021 neoclust <neoclust> 1:0.1.1-1.mga7
+ Revision: 1709660
- Switch to r2cutter fork
- Rebuild against new radare
+ daviddavid <daviddavid>
- new version: 1.11.0 (for radare2 4.5.0) (mga#27060)
- new version: 1.10.1 (for radare2 4.2.1)
- rebuild for new radare2 3.9.0
- new version: 1.9.0 (for radare2 3.8.0)
- new version: 1.8.3 (for radare2 3.6.0) (mga#25933)

* Thu Apr 18 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1393121
- new version: 1.8.1

* Wed Apr 03 2019 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1385508
- new version: 1.8.0

* Mon Apr 01 2019 umeabot <umeabot> 1.7.4-2.git20190309.2.mga7
+ Revision: 1384671
- Qt5 Rebuild

* Sat Mar 09 2019 daviddavid <daviddavid> 1.7.4-2.git20190309.1.mga7
+ Revision: 1373050
- update to latest git snapshot to make it build with radare2 3.0.0
- rebuild for new radare2 3.3.0

* Wed Jan 23 2019 daviddavid <daviddavid> 1.7.4-1.mga7
+ Revision: 1359945
- new version: 1.7.4

* Mon Jan 14 2019 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1356396
- new version: 1.7.3

* Tue Jan 08 2019 daviddavid <daviddavid> 1.7.1-2.mga7
+ Revision: 1351631
- rebuild for new Python 3.7

* Mon Oct 01 2018 daviddavid <daviddavid> 1.7.1-1.mga7
+ Revision: 1313105
- new version: 1.7.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun May 20 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1230801
- initial package radare2-cutter

